## DhApplicationWindow DhApplicationWindow — For the main application window |

## Functions

void | dh_application_window_bind_sidebar_and_notebook ()

## Includes

    #include <devhelp/devhelp.h>

## Description

Functions for the main application window.

## Functions

### dh_application_window_bind_sidebar_and_notebook ()

    void
    dh_application_window_bind_sidebar_and_notebook
                                   (DhSidebar *sidebar,
                                    DhNotebook *notebook);

Binds `sidebar` and `notebook` :

- When the “link-selected” signal is emitted, open the URI in the active DhWebView.

- On “switch-page” or when the user clicks on a link, calls `dh_sidebar_select_uri()` with the new active URI.

You need to call this function when the DhNotebook is empty, i.e. before adding the first DhTab.

Note that this function doesn't take a “self” window parameter, to be more flexible: it is possible to have several pairs of DhSidebar/DhNotebook per window, to show different DhProfile's.

#### Parameters

sidebar | a DhSidebar. |
notebook | an empty DhNotebook. |

Since: 3.30

## Types and Values